---
title: /v2/advertisers/{advertiserId}/eligible/site-locations
slug: campaign-reporting-apis/v2advertisersadvertiserideligiblesite-locations
docTags: 
createdAt: 2026-03-25T10:57:30.256Z
---

{
  "id": "gNlVyIsLtw3306Bbzr56D",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/site-locations",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/site-locations",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "Retrieves sites and locations that the advertiser has access to.\nRequires publisherId and marketId as query parameters. Supports optional filtering by adGroupType.\n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "required",
          "name": "publisherId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "marketId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "adGroupType",
          "type": "string",
          "description": "",
          "enum": [
            "DISPLAY",
            "SPA",
            "SPONSORED_BRAND"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "SiteLocations[]",
            "schema": [
              {
                "name": "site",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/SiteDetails",
                "customType": "SiteDetails",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0,
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string<DESKTOP | MOBILE_WEB | MOBILE_APP | TABLET_APP | EMAIL>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "DESKTOP",
                      "MOBILE_WEB",
                      "MOBILE_APP",
                      "TABLET_APP",
                      "EMAIL"
                    ]
                  }
                ]
              },
              {
                "name": "locations",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/Location",
                "customType": "Location[]",
                "schema": [
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string<DISPLAY | FLUID_PRODUCT | FULL_PRODUCT>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "DISPLAY",
                      "FLUID_PRODUCT",
                      "FULL_PRODUCT"
                    ]
                  },
                  {
                    "name": "location",
                    "kind": "optional",
                    "type": "string<CATEGORY_PAGE | SEARCH_PAGE | HOME_PAGE | PRODUCT_PAGE | CHECKOUT | MINI_SEARCH | EMAIL | EMAIL_ABANDONED_CART>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "CATEGORY_PAGE",
                      "SEARCH_PAGE",
                      "HOME_PAGE",
                      "PRODUCT_PAGE",
                      "CHECKOUT",
                      "MINI_SEARCH",
                      "EMAIL",
                      "EMAIL_ABANDONED_CART"
                    ]
                  },
                  {
                    "name": "pagePosition",
                    "kind": "optional",
                    "type": "string<MAIN_GRID | CAROUSEL | BELOW_THE_FOLD | ABOVE_THE_FOLD | L1 | L2 | L3 | L4>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "MAIN_GRID",
                      "CAROUSEL",
                      "BELOW_THE_FOLD",
                      "ABOVE_THE_FOLD",
                      "L1",
                      "L2",
                      "L3",
                      "L4"
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/SiteLocations",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "rUOoIZ27XyRdVOg9pxAte",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/site-locations?publisherId=integer%3Cint32%3E&marketId=integer%3Cint32%3E' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "j_6IcPVg4MZELLtuJfDAc",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/site-locations?publisherId=integer<int32>&marketId=integer<int32>\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "fnz5BUbCwgsOtvawauYiG",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/site-locations?publisherId=integer<int32>&marketId=integer<int32>\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "WMj0hI0YPZ3ayt5bnh1xt",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/site-locations?publisherId=integer<int32>&marketId=integer<int32>\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "rUOoIZ27XyRdVOg9pxAte"
    },
    "results": {
      "languages": [
        {
          "id": "tQGwECE1jFLxpZrQyw-mF",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"site\": {\n      \"id\": \"\",\n      \"name\": \"\",\n      \"type\": \"\"\n    },\n    \"locations\": [\n      {\n        \"type\": \"\",\n        \"location\": \"\",\n        \"pagePosition\": \"\"\n      }\n    ]\n  }\n]"
        },
        {
          "id": "uOhGlzmI67v1IstejxAOX",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "V2mzTN7JR2PCClYqqdKyV",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "v-a2I0N2Oz3boi5TWpK09",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "Ym01Gn3moElbvdpHPDlEk",
          "language": "422",
          "code": "// Unprocessable Entity\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "tQGwECE1jFLxpZrQyw-mF"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}